WorldBossStatus = LibStub("AceAddon-3.0"):NewAddon("WorldBossStatus", "AceConsole-3.0", "AceEvent-3.0" );

local addonName = "WordBossStatus";
local LDB = LibStub("LibDataBroker-1.1", true)
local LDBIcon = LDB and LibStub("LibDBIcon-1.0", true)

local ShaDefeted = false
local GalleonDefeated = false

local Status = {}
Status[0] = "Undefeated"
Status[1] = "Defeated"


local WorldBossStatusLauncher = LDB:NewDataObject(addonName, {
		type = "launcher",
		icon = "Interface\\Icons\\Achievement_BG_KillXEnemies_GeneralsRoom",
		OnClick = function(clickedframe, button)
			WorldBossStatus:ShowOptions() 
		end,
		OnTooltipShow = function(tt)
			tt:SetText("World Boss Status")				
			tt:AddLine(" ")
			tt:AddDoubleLine("Sha of Anger:", Status[ShaDefeated and 1 or 0], 1, 1, 1, ShaDefeated and 1 or 0, not ShaDefeated and 1 or 0, 0)
			tt:AddDoubleLine("Galleon:", Status[GalleonDefeated and 1 or 0], 1, 1, 1, GalleonDefeated and 1 or 0, not GalleonDefeated and 1 or 0, 0)
		end,
	})

local db; 
local defaults = {
	profile = {
		MinimapButton = {
			hide = false,
		}, 
	},
};
	
function WorldBossStatus:GetStatus()
	ShaDefeated = IsQuestFlaggedCompleted(32099)
	GalleonDefeated = IsQuestFlaggedCompleted(32098)	
end

function WorldBossStatus:ShowOptions()
	-- place holder
end

function WorldBossStatus:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("WorldBossStatusDB", {
		profile = {
			MinimapButton = {
				hide = false,
			},

		},
	})
	WorldBossStatus:GetStatus();
	LDBIcon:Register(addonName, WorldBossStatusLauncher, self.db.profile.MinimapButton)
end

function WorldBossStatus:OnEnable()
	WorldBossStatus:GetStatus();
end

function WorldBossStatus:OnDisable()
    -- Called when the addon is disabled
end
